Subject: bug#16062: 24.3; Missing .png file gives poor error message when opened

From: Jarek Czekalski <[email-masked]>
Date: Fri, 06 Dec 2013 22:05:17 +0100

W dniu 12/06/2013 09:38 AM, Eli Zaretskii pisze:
> Is it?  What if I come up with an Emacs mode that lets users _create_
> PNG files?

What I actually had in mind was that Emacs already does this guessing 
(what was the intention of opening a png file) and we don't want to 
change this process. But after we decided we want to display the 
graphics and before passing the filename to the graphic library, we 
should check if file exists.

If file does not exist - give the exact message or fallback to 
non-graphical mode. Both solutions would make it obvious, that the file 
does not exists. I guess that's the intention of Alex, who reported this.

Thanks
Jarek